



**********************************************************************
*REPLICATION FILE FOR ETHNICITY AND CONFLICT: AN EMPIRICAL STUDY
*BY J. ESTEBAN, L.MAYORAL AND D. RAY.
* 
* January 2012. ALL REGRESSIONS CARRIED OUT WITH STATA 11
**********************************************************************


clear
clear matrix
set more off

use "EthnicityandConflictReplicationFinal.dta", clear

*Table 1
logit PRIO25A LPOP2A er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA, vce (cluster countryid)
logit PRIO25A LPOP2A er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA PRIO25ALag, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA PRIO25ALag, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND  er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA PRIO25ALag, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA PRIO25ALag, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA PRIO25ALag, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA EXECTI3 AUTOCTI3 POLRTI3 CIVLTI3 PRIO25ALag, vce (cluster countryid)

*Table 3
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA PRIO25ALag, vce (cluster countryid)
logit PRIOcwA LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA PRIOcwALag, vce (cluster countryid)
logit PRIO1000A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA PRIO1000ALag, vce (cluster countryid)
ologit PRIOmult2A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA PRIOmult2ALag, vce (cluster countryid)
regress domestic9_meanA LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA domestic9_meanALag, vce (cluster countryid)

*Table 4
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PEthnoDelta005 FEthno GEthnoDelta005PC PRIO25ALag, vce (cluster countryid)
logit PRIOcwA LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PEthnoDelta005 FEthno GEthnoDelta005PC PRIOcwALag, vce (cluster countryid)
logit PRIO1000A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PEthnoDelta005 FEthno GEthnoDelta005PC PRIO1000ALag, vce (cluster countryid)
ologit PRIOmult2A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PEthnoDelta005 FEthno GEthnoDelta005PC PRIOmult2ALag, vce (cluster countryid)
regress domestic9_meanA LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PEthnoDelta005 FEthno GEthnoDelta005PC domestic9_meanALag, vce (cluster countryid)

*Table 5
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PRIO25ALag er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA , vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PRIO25ALag frac_fear gini_fear_delta005_PERCAPTA rq_fear, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PRIO25ALag er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA rq_fear, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PRIO25ALag PEthnoDelta005 FEthno GEthnoDelta005PC, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PRIO25ALag FEthno GEthnoDelta005PC RQEthno, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PRIO25ALag PEthnoDelta005 FEthno GEthnoDelta005PC RQEthno, vce (cluster countryid)

*Table 6
logit onset225 LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA gini_fear_delta005_PERCAPTA er_fear_delta005 frac_fear onset225Lag, vce (cluster countryid)
logit onset525 LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA gini_fear_delta005_PERCAPTA er_fear_delta005 frac_fear onset525Lag, vce (cluster countryid)
logit onset825 LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA gini_fear_delta005_PERCAPTA er_fear_delta005 frac_fear onset825Lag, vce (cluster countryid)
logit onset225 LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PEthnoDelta005 FEthno GEthnoDelta005PC onset225Lag, vce (cluster countryid)
logit onset525 LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PEthnoDelta005 FEthno GEthnoDelta005PC onset525Lag, vce (cluster countryid)
logit onset825 LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA PEthnoDelta005 FEthno GEthnoDelta005PC onset825Lag, vce (cluster countryid)

*Table 7
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA frac_fear er_fear_delta005 gini_fear_delta005_PERCAPTA PRIO25ALag, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA frac_fear er_fear_delta005 gini_fear_delta005_PERCAPTA PRIO25ALag africaA laamA asiaA, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA frac_fear er_fear_delta005 gini_fear_delta005_PERCAPTA PRIO25ALag if africaA==0, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA frac_fear er_fear_delta005 gini_fear_delta005_PERCAPTA PRIO25ALag if asiaA==0, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA frac_fear er_fear_delta005 gini_fear_delta005_PERCAPTA PRIO25ALag if laamA==0, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA frac_fear er_fear_delta005 gini_fear_delta005_PERCAPTA PRIO25ALag year2 year3 year4 year5 year6 year7 year8 year9 year10, vce (cluster countryid)
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA frac_fear er_fear_delta005 gini_fear_delta005_PERCAPTA PRIO25ALag africatrend laamtrend asiatrend , vce (cluster countryid)

*Table 8
logit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA frac_fear er_fear_delta005 gini_fear_delta005_PERCAPTA PRIO25ALag, vce (cluster countryid)
ologit PRIO25Avg LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA frac_fear er_fear_delta005 gini_fear_delta005_PERCAPTA if crosssection==1
use "EthnicityandConflictReplicationYearlyFinal.dta", clear
logit PRIO25 lgdpenl1 lpop Oil MOUNTAINS NONCONT DEMOCRACY er_fear_delta005 frac_fear gini_fear_delta005pc PRIO25lag, vce (cluster ccode)
use "EthnicityandConflictReplicationFinal.dta", clear
relogit PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA frac_fear er_fear_delta005 gini_fear_delta005_PERCAPTA PRIO25ALag
regress PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA frac_fear er_fear_delta005 gini_fear_delta005_PERCAPTA PRIO25ALag, vce(cluster countryid)
xtmixed PRIO25A LGDPC2A LPOP2A OILDIAMOND MOUNTAINSA NONCONTA DEMOCRACYA frac_fear er_fear_delta005 gini_fear_delta005_PERCAPTA PRIO25ALag || countryid: frac_fear er_fear_delta005 gini_fear_delta005_PERCAPTA, mle

*Table 9
logit PRIO25A LGDPC2A LPOP2A MOUNTAINSA NONCONTA PRIO25ALag er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA  er_fearLambda24 frac_fearLambda24 gini_fearLambda24 oil_reserve_val_N2 pgdpL24, vce(cluster countryid)
ologit PRIOmult2A LGDPC2A LPOP2A MOUNTAINSA NONCONTA PRIOmult2ALag er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA  er_fearLambda24 frac_fearLambda24 gini_fearLambda24 oil_reserve_val_N2 pgdpL24, vce(cluster countryid)
regress domestic9_meanA LGDPC2A LPOP2A MOUNTAINSA NONCONTA domestic9_meanALag er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA  er_fearLambda24 frac_fearLambda24 gini_fearLambda24 oil_reserve_val_N2 pgdpL24, vce(cluster countryid)
logit PRIO25A LGDPC2A LPOP2A MOUNTAINSA NONCONTA er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA er_fearLambda24Alpha frac_fearLambda24Alpha gini_fearLambda24Alpha  oil_reserve_val_N2 pgdpL24 PRIO25ALag, vce(cluster countryid)
ologit PRIOmult2A LGDPC2A LPOP2A MOUNTAINSA NONCONTA er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA er_fearLambda24Alpha frac_fearLambda24Alpha gini_fearLambda24Alpha oil_reserve_val_N2 pgdpL24 PRIOmult2ALag, vce(cluster countryid)
regress domestic9_meanA LGDPC2A LPOP2A MOUNTAINSA NONCONTA er_fear_delta005 frac_fear gini_fear_delta005_PERCAPTA er_fearLambda24Alpha frac_fearLambda24Alpha gini_fearLambda24Alpha oil_reserve_val_N2 pgdpL24 domestic9_meanALag, vce(cluster countryid)

